Subject: Re: [PATCH v2 0/2] Add MHI Endpoint network driver

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Nov 2023 08:46:39 -0800

On Mon, 27 Nov 2023 11:34:39 +0530 Manivannan Sadhasivam wrote:
> I think you made up your mind that this driver is exposing the network interface
> to the firmware on the device. I ought to clearify that the device running this
> driver doesn't necessarily be a modem but a PCIe endpoint instance that uses the
> netdev exposed by this driver to share data connectivity with another device.

Doesn't matter how many legit use cases you can come up with.
Using netdev as a device comm channel is something I am
fundamentally opposed to.

> This concept is not new and being supported by other protocols such as Virtio
> etc...

Yes. Use virtio, please.